Subject: Add GroupedForViewHelper
Description

Provide a view helper that allows to iterate through values and group the result by a given key.
This might look like:

<f:groupedFor each="{fruits}" as="fruitsOfThisColor" groupBy="color" groupKey="theColor">
    <h3>{theColor}:</h3>
    <f:for each="{fruitsOfThisColor}" as="fruit">
        {fruit.name}<br />
    </f:for>
</f:groupedFor>

Patch follows.

Associated revisions
Revision 89c28b46 - 2009-08-31 15:56 - Robert Lemke

[+FEATURE] FLOW3 (AOP): Parse errors in AOP proxy code (introduced by a potential bug) will now be treated properly by throwing a meaningful
exception.
[-FEATURE] FLOW3 (Configuration): Removed support for PHP-based configuration files. This caused a lot of overhead and in practice we want
everyone to use YAML files anyway.
[+FEATURE] FLOW3 (Configuration): Implemented support for cached ("compiled") configuration. When the new FLOW3.yaml option "configuration:
comileConfigurationFiles" is turned on, all configuration will be compiled into a PHP file which from then on is read instead of parsing the YAML files
everytime. Please see the updated documentation for more information. Resolves #4460
[~TASK] FLOW3 (Configuration): Completely refactored the Configuration Manager and a few related classes. Its methods now each fullfil a clear
purpose and work more effective. The method names now also better describe what each method is doing. Resolves #2711
[-TASK] FLOW3 (Configuration): Removed the WritableSourceInterface - this is now a standard feature of a configuration source.
[+TASK] FLOW3 (Core): Refactored and cleaned up the FLOW3 Bootstrap. Constants are now defined by a static method and all configuration related
functionality has been moved to the Configuration sub package. Also replaced the evil die() calls by more handsome exit() calls. Relates to #2117
[+TASK] FLOW3 (Object): Moved some object initialization code from the Bootstrap to the Object Manager and further cleaned up the Object
Manager's code. Wrote additional tests - now this class has 100% test coverage. Relates to #2117
[+API] FLOW3 (MVC): Added a few @api annotations to properties of the AbstractController and ActionController.
[-API] FLOW3 (Utility): Removed the getSAPIType() method from the Environment class. Just use the constant FLOW3_SAPITYPE instead. Resolves
#3567 and relates to #2117.

Revision c0d0f79d - 2009-09-16 18:48 - Bastian Waidelich

[~TASK] Fluid: tweaked exception that is thrown when trying to iterate through non-traversable objects in ForViewHelper
[~TASK] Fluid: fixed typo in ForViewHelperTest
[+FEATURE] Fluid: added CycleViewHelper. Resolves #4458
[+FEATURE] Fluid: added GroupedForViewHelper. Resolves #4460
[+TASK] Fluid: added test case for PaddingViewHelper. Relates to #4459

History
#1 - 2009-09-15 19:47 - Sebastian Kurfuerst
- Status changed from New to Accepted

#2 - 2009-09-16 19:01 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3190.
